curl --request GET \
--url https://test.deribit.com/api/v2/private/get_current_deposit_address \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 3461,
"method": "private/get_current_deposit_address",
"params": {
"currency": "BTC"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_current_deposit_address"
payload = {
"jsonrpc": "2.0",
"id": 3461,
"method": "private/get_current_deposit_address",
"params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 3461,
method: 'private/get_current_deposit_address',
params: {currency: 'BTC'}
})
};
fetch('https://test.deribit.com/api/v2/private/get_current_deposit_address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 3461,
"result": {
"address": "2N8udZGBc1hLRCFsU9kGwMPpmYUwMFTuCwB",
"creation_timestamp": 1550575165170,
"currency": "BTC",
"type": "deposit"
}
}private/get_current_deposit_address
Retrieve the current deposit address for the specified currency. Returns the most recently created or used deposit address for receiving funds.
Coinbase wallet type
For Coinbase wallet type accounts the network parameter is required and selects the blockchain network of the deposit address. The networks available for each currency are returned by public/get_currencies in the coinbase_networks field. Returns null when no deposit address exists for the given currency and network. This method is available to institutional Coinbase accounts only.
๐ Related Article: Managing Deposits
Scope: wallet:read
Query Parameters
The currency symbol.
๐ Related Article: Using the currency Parameter
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Blockchain network for the wallet operation, given as a network resource name (e.g. "networks/ethereum-mainnet"). Coinbase wallet type only. The networks available for each currency are returned by public/get_currencies in the coinbase_networks field. Required for operations that target an on-chain address or a deposit address; also used to disambiguate address book entries when the same address exists on multiple networks.
"networks/ethereum-mainnet"
Response
Success response
The JSON-RPC version (2.0)
2.0 Object if address is created, null otherwise
- Option 1
- Option 2
Hide child attributes
Hide child attributes
The timestamp (milliseconds since the Unix epoch)
1536569522277
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Address in proper format for currency
"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
Address type/purpose, allowed values : deposit
The id that was sent in the request
Was this page helpful?